Index: /trunk/contactcenter/templates/classic/corporative_full_add.tpl
===================================================================
--- /trunk/contactcenter/templates/classic/corporative_full_add.tpl	(revision 1517)
+++ /trunk/contactcenter/templates/classic/corporative_full_add.tpl	(revision 1676)
@@ -39,5 +39,5 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_alias}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength=""></td>
+			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength="30"></td>
 		</tr>
 		<tr style="display:none" class="row_off">
@@ -47,9 +47,9 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_given_names}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_given_names" name="{cc_pd_given_names}" type="text" style="width: 175px;" value="" maxlength=""></td>
+			<td align="left" colspan="2"><input id="cc_pd_given_names" name="{cc_pd_given_names}" type="text" style="width: 175px;" value="" maxlength="100"></td>
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_pd_family_names}:</td>
-			<td align="left"><input id="cc_pd_family_names" name="{cc_pd_family_names}" type="text" style="width: 175px;" value="" maxlength=""></td>
+			<td align="left"><input id="cc_pd_family_names" name="{cc_pd_family_names}" type="text" style="width: 175px;" value="" maxlength="100"></td>
 			<td align="right">{cc_pd_birthdate}:</td>
 			<td align="left">
@@ -116,13 +116,13 @@
 		<tr class="row_off">
 			<td align="right">{cc_addr_1}:</td>
-			<td align="left"><input id="cc_addr_1" name="{cc_addr_1}" style="width: 200px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_1" name="{cc_addr_1}" style="width: 200px;" type="text" name="" value="" maxlength="60"></td>
 			<td align="right">{cc_addr_complement}:</td>
-			<td align="left"><input id="cc_addr_complement" name="{cc_addr_complement}" style="width: 100px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_complement" name="{cc_addr_complement}" style="width: 100px;" type="text" name="" value="" maxlength="30"></td>
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_addr_2}:</td>
-			<td align="left"><input id="cc_addr_2" name="{cc_addr_2}" style="width: 200px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_2" name="{cc_addr_2}" style="width: 200px;" type="text" name="" value="" maxlength="60"></td>
 			<td align="right">{cc_addr_postal_code}:</td>
-			<td align="left"><input id="cc_addr_postal_code" name="{cc_addr_postal_code}"style="width: 70px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_postal_code" name="{cc_addr_postal_code}"style="width: 70px;" type="text" name="" value="" maxlength="15"></td>
 		</tr>
 		<tr class="row_off">
@@ -171,17 +171,17 @@
 	    <tr class="row_off">
 			<td align="right">{cc_name_corporate}:</td>
-			<td align="left" colspan="2" style="width: 300px;"><input id="cc_name_corporate" name="{cc_name_corporate}" style="width: 200px;" type="text" name="" value=""></td>				
+			<td align="left" colspan="2" style="width: 300px;"><input id="cc_name_corporate" name="{cc_name_corporate}" style="width: 200px;" type="text" name="" value="" maxlength="100"></td>				
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_job_title}:</td>
-			<td align="left" colspan="2" style="width: 300px;"><input id="cc_job_title" name="{cc_job_title}" style="width: 200px;" type="text" name="" value=""></td>			
+			<td align="left" colspan="2" style="width: 300px;"><input id="cc_job_title" name="{cc_job_title}" style="width: 200px;" type="text" name="" value="" maxlength="40"></td>			
 		</tr>
 		<tr class="row_off">
 			<td align="right">{cc_department}:</td>
-			<td align="left" colspan="2" style="width: 300px;"><input id="cc_department" name="{cc_department}" style="width: 200px;" type="text" name="" value=""></td>			
+			<td align="left" colspan="2" style="width: 300px;"><input id="cc_department" name="{cc_department}" style="width: 200px;" type="text" name="" value="" maxlength="30"></td>			
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_web_page}:</td>
-			<td align="left" colspan="2" style="width: 300px;"><input id="cc_web_page" name="{cc_web_page}" style="width: 200px;" type="text" name="" value=""></td>			
+			<td align="left" colspan="2" style="width: 300px;"><input id="cc_web_page" name="{cc_web_page}" style="width: 200px;" type="text" name="" value="" maxlength="100"></td>			
 		</tr>
 		
Index: /trunk/contactcenter/templates/classic/full_add.tpl
===================================================================
--- /trunk/contactcenter/templates/classic/full_add.tpl	(revision 575)
+++ /trunk/contactcenter/templates/classic/full_add.tpl	(revision 1676)
@@ -36,5 +36,5 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_alias}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength=""></td>
+			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength="30"></td>
 		</tr>
 		<tr style="display:none" class="row_off">
@@ -44,9 +44,9 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_given_names}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_given_names" name="{cc_pd_given_names}" type="text" style="width: 175px;" value="" maxlength=""></td>
+			<td align="left" colspan="2"><input id="cc_pd_given_names" name="{cc_pd_given_names}" type="text" style="width: 175px;" value="" maxlength="100"></td>
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_pd_family_names}:</td>
-			<td align="left"><input id="cc_pd_family_names" name="{cc_pd_family_names}" type="text" style="width: 175px;" value="" maxlength=""></td>
+			<td align="left"><input id="cc_pd_family_names" name="{cc_pd_family_names}" type="text" style="width: 175px;" value="" maxlength="100"></td>
 			<td align="right">{cc_pd_birthdate}:</td>
 			<td align="left">
@@ -113,13 +113,13 @@
 		<tr class="row_off">
 			<td align="right">{cc_addr_1}:</td>
-			<td align="left"><input id="cc_addr_1" name="{cc_addr_1}" style="width: 200px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_1" name="{cc_addr_1}" style="width: 200px;" type="text" name="" value="" maxlength="60"></td>
 			<td align="right">{cc_addr_complement}:</td>
-			<td align="left"><input id="cc_addr_complement" name="{cc_addr_complement}" style="width: 100px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_complement" name="{cc_addr_complement}" style="width: 100px;" type="text" name="" value="" maxlength="30"></td>
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_addr_2}:</td>
-			<td align="left"><input id="cc_addr_2" name="{cc_addr_2}" style="width: 200px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_2" name="{cc_addr_2}" style="width: 200px;" type="text" name="" value="" maxlength="60"></td>
 			<td align="right">{cc_addr_postal_code}:</td>
-			<td align="left"><input id="cc_addr_postal_code" name="{cc_addr_postal_code}"style="width: 70px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_postal_code" name="{cc_addr_postal_code}"style="width: 70px;" type="text" name="" value="" maxlength="15"></td>
 		</tr>
 		<tr class="row_off">
Index: /trunk/contactcenter/templates/default/corporative_full_add.tpl
===================================================================
--- /trunk/contactcenter/templates/default/corporative_full_add.tpl	(revision 1517)
+++ /trunk/contactcenter/templates/default/corporative_full_add.tpl	(revision 1676)
@@ -39,5 +39,5 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_alias}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength=""></td>
+			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength="30"></td>
 		</tr>
 		<tr style="display:none" class="row_off">
@@ -47,9 +47,9 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_given_names}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_given_names" name="{cc_pd_given_names}" type="text" style="width: 175px;" value="" maxlength=""></td>
+			<td align="left" colspan="2"><input id="cc_pd_given_names" name="{cc_pd_given_names}" type="text" style="width: 175px;" value="" maxlength="100"></td>
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_pd_family_names}:</td>
-			<td align="left"><input id="cc_pd_family_names" name="{cc_pd_family_names}" type="text" style="width: 175px;" value="" maxlength=""></td>
+			<td align="left"><input id="cc_pd_family_names" name="{cc_pd_family_names}" type="text" style="width: 175px;" value="" maxlength="100"></td>
 			<td align="right">{cc_pd_birthdate}:</td>
 			<td align="left">
@@ -116,13 +116,13 @@
 		<tr class="row_off">
 			<td align="right">{cc_addr_1}:</td>
-			<td align="left"><input id="cc_addr_1" name="{cc_addr_1}" style="width: 200px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_1" name="{cc_addr_1}" style="width: 200px;" type="text" name="" value="" maxlength="60"></td>
 			<td align="right">{cc_addr_complement}:</td>
-			<td align="left"><input id="cc_addr_complement" name="{cc_addr_complement}" style="width: 100px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_complement" name="{cc_addr_complement}" style="width: 100px;" type="text" name="" value="" maxlength="30"></td>
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_addr_2}:</td>
-			<td align="left"><input id="cc_addr_2" name="{cc_addr_2}" style="width: 200px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_2" name="{cc_addr_2}" style="width: 200px;" type="text" name="" value="" maxlength="60"></td>
 			<td align="right">{cc_addr_postal_code}:</td>
-			<td align="left"><input id="cc_addr_postal_code" name="{cc_addr_postal_code}"style="width: 70px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_postal_code" name="{cc_addr_postal_code}"style="width: 70px;" type="text" name="" value="" maxlength="15"></td>
 		</tr>
 		<tr class="row_off">
@@ -171,17 +171,17 @@
 	    <tr class="row_off">
 			<td align="right">{cc_name_corporate}:</td>
-			<td align="left" colspan="2" style="width: 300px;"><input id="cc_name_corporate" name="{cc_name_corporate}" style="width: 200px;" type="text" name="" value=""></td>				
+			<td align="left" colspan="2" style="width: 300px;"><input id="cc_name_corporate" name="{cc_name_corporate}" style="width: 200px;" type="text" name="" value="" maxlength="100"></td>				
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_job_title}:</td>
-			<td align="left" colspan="2" style="width: 300px;"><input id="cc_job_title" name="{cc_job_title}" style="width: 200px;" type="text" name="" value=""></td>			
+			<td align="left" colspan="2" style="width: 300px;"><input id="cc_job_title" name="{cc_job_title}" style="width: 200px;" type="text" name="" value="" maxlength="40"></td>			
 		</tr>
 		<tr class="row_off">
 			<td align="right">{cc_department}:</td>
-			<td align="left" colspan="2" style="width: 300px;"><input id="cc_department" name="{cc_department}" style="width: 200px;" type="text" name="" value=""></td>			
+			<td align="left" colspan="2" style="width: 300px;"><input id="cc_department" name="{cc_department}" style="width: 200px;" type="text" name="" value="" maxlength="30"></td>			
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_web_page}:</td>
-			<td align="left" colspan="2" style="width: 300px;"><input id="cc_web_page" name="{cc_web_page}" style="width: 200px;" type="text" name="" value=""></td>			
+			<td align="left" colspan="2" style="width: 300px;"><input id="cc_web_page" name="{cc_web_page}" style="width: 200px;" type="text" name="" value="" maxlength="100"></td>			
 		</tr>
 		
Index: /trunk/contactcenter/templates/default/full_add.tpl
===================================================================
--- /trunk/contactcenter/templates/default/full_add.tpl	(revision 1496)
+++ /trunk/contactcenter/templates/default/full_add.tpl	(revision 1676)
@@ -36,5 +36,5 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_alias}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength=""></td>
+			<td align="left" colspan="2"><input id="cc_pd_alias" name="{cc_pd_alias}" type="text" style="width:175px;z-index:-1" value="" maxlength="30"></td>
 		</tr>
 		<tr style="display:none" class="row_off">
@@ -44,9 +44,9 @@
 		<tr class="row_on">
 			<td align="right">{cc_pd_given_names}:</td>
-			<td align="left" colspan="2"><input id="cc_pd_given_names" name="{cc_pd_given_names}" type="text" style="width: 175px;" value="" maxlength=""></td>
+			<td align="left" colspan="2"><input id="cc_pd_given_names" name="{cc_pd_given_names}" type="text" style="width: 175px;" value="" maxlength="100"></td>
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_pd_family_names}:</td>
-			<td align="left"><input id="cc_pd_family_names" name="{cc_pd_family_names}" type="text" style="width: 175px;" value="" maxlength=""></td>
+			<td align="left"><input id="cc_pd_family_names" name="{cc_pd_family_names}" type="text" style="width: 175px;" value="" maxlength="100"></td>
 			<td align="right">{cc_pd_birthdate}:</td>
 			<td align="left">
@@ -113,13 +113,13 @@
 		<tr class="row_off">
 			<td align="right">{cc_addr_1}:</td>
-			<td align="left"><input id="cc_addr_1" name="{cc_addr_1}" style="width: 200px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_1" name="{cc_addr_1}" style="width: 200px;" type="text" name="" value="" maxlength="60"></td>
 			<td align="right">{cc_addr_complement}:</td>
-			<td align="left"><input id="cc_addr_complement" name="{cc_addr_complement}" style="width: 100px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_complement" name="{cc_addr_complement}" style="width: 100px;" type="text" name="" value="" maxlength="30"></td>
 		</tr>
 		<tr class="row_on">
 			<td align="right">{cc_addr_2}:</td>
-			<td align="left"><input id="cc_addr_2" name="{cc_addr_2}" style="width: 200px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_2" name="{cc_addr_2}" style="width: 200px;" type="text" name="" value="" maxlength="60"></td>
 			<td align="right">{cc_addr_postal_code}:</td>
-			<td align="left"><input id="cc_addr_postal_code" name="{cc_addr_postal_code}"style="width: 70px;" type="text" name="" value=""></td>
+			<td align="left"><input id="cc_addr_postal_code" name="{cc_addr_postal_code}"style="width: 70px;" type="text" name="" value="" maxlength="15"></td>
 		</tr>
 		<tr class="row_off">