Index: /trunk/expressoAdmin1_2/inc/class.uisectors.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uisectors.inc.php	(revision 1516)
+++ /trunk/expressoAdmin1_2/inc/class.uisectors.inc.php	(revision 1684)
@@ -136,9 +136,5 @@
 			);
 			$p->set_var($var);
-
-			if (! $GLOBALS['phpgw']->acl->check('group_access',4,'admin'))
-			{
-				$p->set_var('input_add','<input type="submit" value="' . lang('Add Sectors') . '">');
-			}
+			$p->set_var('input_add','<input type="submit" value="' . lang('Add Sectors') . '">');
 			
 			$p->parse('rows','row_empty',True);
Index: /trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php	(revision 458)
+++ /trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php	(revision 1684)
@@ -53,5 +53,5 @@
 		{
 			// Caso nao seja admin, sai.
-			if ($GLOBALS['phpgw']->acl->check('group_access',1,'admin'))
+			if (!$GLOBALS['phpgw']->acl->check('run',1,'admin'))
 			{
 				$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/admin/index.php'));
@@ -129,5 +129,5 @@
 		{
 			// Caso nao seja admin, sai.
-			if ($GLOBALS['phpgw']->acl->check('group_access',1,'admin'))
+			if (!$GLOBALS['phpgw']->acl->check('run',1,'admin'))
 			{
 				$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/admin/index.php'));
@@ -207,4 +207,8 @@
 		function delete_managers()
 		{
+			if (!$GLOBALS['phpgw']->acl->check('run',1,'admin'))
+			{
+				$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/admin/index.php'));
+			}
 			// Criar uma verificação e jogar a query para o BO.
 			$context = $_GET['context'];
@@ -232,5 +236,5 @@
 		{
 			// Caso nao seja admin, sai.
-			if ($GLOBALS['phpgw']->acl->check('group_access',1,'admin'))
+			if (!$GLOBALS['phpgw']->acl->check('run',1,'admin'))
 			{
 				$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/admin/index.php'));
Index: /trunk/admin/inc/hook_admin.inc.php
===================================================================
--- /trunk/admin/inc/hook_admin.inc.php	(revision 1174)
+++ /trunk/admin/inc/hook_admin.inc.php	(revision 1684)
@@ -21,15 +21,5 @@
 		$file['Peer Servers']               = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiserver.list_servers');
 	}
-*/
-	/*if (! $GLOBALS['phpgw']->acl->check('account_access',1,'admin'))
-	{
-		$file['User Accounts']              = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiaccounts.list_users');
-	}
-
-	if (! $GLOBALS['phpgw']->acl->check('group_access',1,'admin'))
-	{
-		$file['User Groups']                = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiaccounts.list_groups');
-	}*/
-
+*/	
 	if (! $GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
 	{
Index: /trunk/admin/inc/hook_sidebox_menu.inc.php
===================================================================
--- /trunk/admin/inc/hook_sidebox_menu.inc.php	(revision 89)
+++ /trunk/admin/inc/hook_sidebox_menu.inc.php	(revision 1684)
@@ -30,17 +30,8 @@
 			$file['Site Configuration']         = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiconfig.index&appname=admin');
 		}
-/*
+/*		
 		if (! $GLOBALS['phpgw']->acl->check('peer_server_access',1,'admin'))
 		{
 			$file['Peer Servers']               = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiserver.list_servers');
-		}
-		if (! $GLOBALS['phpgw']->acl->check('account_access',1,'admin'))
-		{
-			$file['User Accounts']              = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiaccounts.list_users');
-		}
-
-		if (! $GLOBALS['phpgw']->acl->check('group_access',1,'admin'))
-		{
-			$file['User Groups']                = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiaccounts.list_groups');
 		}
 */
Index: /trunk/jabberit_messenger/inc/class.uimodule.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.uimodule.inc.php	(revision 423)
+++ /trunk/jabberit_messenger/inc/class.uimodule.inc.php	(revision 1684)
@@ -89,7 +89,7 @@
 	public final function add()
 	{
-		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
 		{
-			$GLOBALS['phpgw']->redirect_link('/index.php');
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
 		}		
 		
Index: /trunk/jabberit_messenger/inc/class.uigroupslocked.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.uigroupslocked.inc.php	(revision 1438)
+++ /trunk/jabberit_messenger/inc/class.uigroupslocked.inc.php	(revision 1684)
@@ -112,7 +112,7 @@
 	public final function add()
 	{
-		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
 		{
-			$GLOBALS['phpgw']->redirect_link('/index.php');
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
 		}		
 		
Index: /trunk/jabberit_messenger/inc/class.uihostsjabber.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.uihostsjabber.inc.php	(revision 946)
+++ /trunk/jabberit_messenger/inc/class.uihostsjabber.inc.php	(revision 1684)
@@ -97,7 +97,7 @@
 	public final function backPage()
 	{
-		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
 		{
-			$GLOBALS['phpgw']->redirect_link('/index.php');
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
 		}		
 		
Index: /trunk/jabberit_messenger/inc/class.uiconforganization.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.uiconforganization.inc.php	(revision 863)
+++ /trunk/jabberit_messenger/inc/class.uiconforganization.inc.php	(revision 1684)
@@ -90,7 +90,7 @@
 	public final function backPage()
 	{
-		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
 		{
-			$GLOBALS['phpgw']->redirect_link('/index.php');
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
 		}		
 		
Index: /trunk/calendar/inc/class.uiholiday.inc.php
===================================================================
--- /trunk/calendar/inc/class.uiholiday.inc.php	(revision 204)
+++ /trunk/calendar/inc/class.uiholiday.inc.php	(revision 1684)
@@ -48,4 +48,8 @@
 		function admin()
 		{
+			if (!$GLOBALS['phpgw']->acl->check('run',1,'admin'))
+			{
+			      $GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/admin/index.php'));
+			}
 			unset($GLOBALS['phpgw_info']['flags']['noheader']);
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
Index: /trunk/calendar/inc/class.uicustom_fields.inc.php
===================================================================
--- /trunk/calendar/inc/class.uicustom_fields.inc.php	(revision 2)
+++ /trunk/calendar/inc/class.uicustom_fields.inc.php	(revision 1684)
@@ -40,4 +40,8 @@
 		function index($error='')
 		{
+			if (!$GLOBALS['phpgw']->acl->check('run',1,'admin'))
+			{
+			      $GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/admin/index.php'));
+			}
 			unset($GLOBALS['phpgw_info']['flags']['noheader']);
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
Index: /trunk/calendar/inc/class.uigroup_access.inc.php
===================================================================
--- /trunk/calendar/inc/class.uigroup_access.inc.php	(revision 1644)
+++ /trunk/calendar/inc/class.uigroup_access.inc.php	(revision 1684)
@@ -33,4 +33,9 @@
 	function index(){
 		
+		if (!$GLOBALS['phpgw']->acl->check('run',1,'admin'))
+		{
+		      $GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/admin/index.php'));
+		}
+
 		$GLOBALS['phpgw_info']['flags'] = array(
 					'currentapp' => 'calendar',