Index: /trunk/phpgwapi/setup/setup.inc.php
===================================================================
--- /trunk/phpgwapi/setup/setup.inc.php	(revision 1337)
+++ /trunk/phpgwapi/setup/setup.inc.php	(revision 1728)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'phpgwapi';
-	$setup_info['phpgwapi']['version']   = '2.0.000';
+	$setup_info['phpgwapi']['version']   = '2.1.000';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.0';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /trunk/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /trunk/phpgwapi/setup/tables_update.inc.php	(revision 1323)
+++ /trunk/phpgwapi/setup/tables_update.inc.php	(revision 1728)
@@ -1681,3 +1681,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+	$test[] = '2.0.001';
+	function phpgwapi_upgrade2_0_001()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: /trunk/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 1323)
+++ /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 1728)
@@ -61,4 +61,10 @@
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
+	$test[] = '2.0.000';
+	function expressoAdmin1_2_upgrade2_0_000()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
 
 ?>
Index: /trunk/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 1402)
+++ /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 1728)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.0.000';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.1.000';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
@@ -35,5 +35,5 @@
 	$setup_info['expressoAdmin1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0')
+		'versions' => Array('2.1')
 	);
 ?>
Index: /trunk/news_admin/setup/setup.inc.php
===================================================================
--- /trunk/news_admin/setup/setup.inc.php	(revision 1323)
+++ /trunk/news_admin/setup/setup.inc.php	(revision 1728)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	//$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.0.000';
+	$setup_info['news_admin']['version']   = '2.1.000';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
@@ -31,5 +31,5 @@
 	$setup_info['news_admin']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.0')
+		 'versions' => Array('2.1')
 	);
 
Index: /trunk/news_admin/setup/tables_update.inc.php
===================================================================
--- /trunk/news_admin/setup/tables_update.inc.php	(revision 1323)
+++ /trunk/news_admin/setup/tables_update.inc.php	(revision 1728)
@@ -155,3 +155,9 @@
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
 	}
+	$test[] = '2.0.000';
+	function news_admin_upgrade2_0_000()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}
 ?>
Index: /trunk/admin/setup/setup.inc.php
===================================================================
--- /trunk/admin/setup/setup.inc.php	(revision 1323)
+++ /trunk/admin/setup/setup.inc.php	(revision 1728)
@@ -12,5 +12,5 @@
 
 	$setup_info['admin']['name']      = 'admin';
-	$setup_info['admin']['version']   = '2.0.000';
+	$setup_info['admin']['version']   = '2.1.000';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
@@ -47,5 +47,5 @@
 	$setup_info['admin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0')
+		'versions' => Array('2.1')
 	);
 ?>
Index: /trunk/help/setup/setup.inc.php
===================================================================
--- /trunk/help/setup/setup.inc.php	(revision 1338)
+++ /trunk/help/setup/setup.inc.php	(revision 1728)
@@ -13,5 +13,5 @@
 	$setup_info['help']['name']      = 'help';
 	$setup_info['help']['title']     = 'User Manual and Help Page';
-	$setup_info['help']['version']   = '2.0.000';
+	$setup_info['help']['version']   = '2.1.000';
 	$setup_info['help']['app_order'] = 5;
 	$setup_info['help']['enable']    = 2;	// Invisible on top (navigation bar)
@@ -26,5 +26,5 @@
 	$setup_info['help']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.0')
+		 'versions' => Array('2.1')
 	);
 ?>
Index: /trunk/jabberit_messenger/setup/setup.inc.php
===================================================================
--- /trunk/jabberit_messenger/setup/setup.inc.php	(revision 1323)
+++ /trunk/jabberit_messenger/setup/setup.inc.php	(revision 1728)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Jeti Applet';
-	$setup_info['jabberit_messenger']['version']   	= '2.0.000';
+	$setup_info['jabberit_messenger']['version']   	= '2.1.000';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
@@ -27,5 +27,5 @@
 	$setup_info['jabberit_messenger']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0')
+		'versions' => Array('2.1')
 	);
 ?>
Index: /trunk/contactcenter/setup/tables_update.inc.php
===================================================================
--- /trunk/contactcenter/setup/tables_update.inc.php	(revision 1665)
+++ /trunk/contactcenter/setup/tables_update.inc.php	(revision 1728)
@@ -126,6 +126,6 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
-	$test[] = '1.22';
-	function contactcenter_upgrade1_22() {
+	$test[] = '2.0.000';
+	function contactcenter_upgrade2_0_000() {
 		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.0.001';
 		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN web_page character varying(100)");
@@ -135,3 +135,8 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
+	$test[] = '2.0.001';
+	function contactcenter_upgrade2_0_001() {
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}
 ?>
Index: /trunk/contactcenter/setup/setup.inc.php
===================================================================
--- /trunk/contactcenter/setup/setup.inc.php	(revision 1665)
+++ /trunk/contactcenter/setup/setup.inc.php	(revision 1728)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.0.001';
+	$setup_info['contactcenter']['version']   = '2.1.000';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
@@ -76,5 +76,5 @@
 	$setup_info['contactcenter']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0')
+		'versions' => Array('2.1')
 	);
 ?>
Index: /trunk/emailadmin/setup/setup.inc.php
===================================================================
--- /trunk/emailadmin/setup/setup.inc.php	(revision 1523)
+++ /trunk/emailadmin/setup/setup.inc.php	(revision 1728)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '2.0.001';
+	$setup_info['emailadmin']['version']   = '2.1.000';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
@@ -40,5 +40,5 @@
 	$setup_info['emailadmin']['depends'][] = array(
 		'appname'  => 'phpgwapi',
-		'versions' => Array('2.0')
+		'versions' => Array('2.1')
 	);
 
Index: /trunk/emailadmin/setup/tables_update.inc.php
===================================================================
--- /trunk/emailadmin/setup/tables_update.inc.php	(revision 1523)
+++ /trunk/emailadmin/setup/tables_update.inc.php	(revision 1728)
@@ -86,5 +86,5 @@
    $test[] = '1.0.1';
    function emailadmin_upgrade1_0_1()
-	{
+   	{
       $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.0.000';
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
@@ -92,5 +92,5 @@
    $test[] = '2.0.000';
    function emailadmin_upgrade2_0_000()
-        {
+	{
       $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.0.001';
       $GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_emailadmin','imapcreatespamfolder', array('type' => 'varchar', 'precision' => 3));
@@ -98,4 +98,9 @@
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
-	
+   $test[] = '2.0.001';
+   function emailadmin_upgrade2_0_001()
+	{
+      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.1.000';
+      return $GLOBALS['setup_info']['emailadmin']['currentver'];
+   }
 ?>
Index: /trunk/preferences/setup/setup.inc.php
===================================================================
--- /trunk/preferences/setup/setup.inc.php	(revision 1323)
+++ /trunk/preferences/setup/setup.inc.php	(revision 1728)
@@ -13,5 +13,5 @@
 	$setup_info['preferences']['name']      = 'preferences';
 	$setup_info['preferences']['title']     = 'Preferences';
-	$setup_info['preferences']['version']   = '2.0.000';
+	$setup_info['preferences']['version']   = '2.1.000';
 	$setup_info['preferences']['app_order'] = 1;
 	$setup_info['preferences']['tables']    = '';
@@ -28,5 +28,5 @@
 	$setup_info['preferences']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0')
+		'versions' => Array('2.1')
 	);
 ?>
Index: /trunk/mobile/setup/setup.inc.php
===================================================================
--- /trunk/mobile/setup/setup.inc.php	(revision 1323)
+++ /trunk/mobile/setup/setup.inc.php	(revision 1728)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'ExpressoMini';
-	$setup_info['mobile']['version']   = '2.0.000';
+	$setup_info['mobile']['version']   = '2.1.000';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
@@ -39,5 +39,5 @@
 	$setup_info['mobile']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0')
+		'versions' => Array('2.1')
 	);
 ?>
Index: /trunk/calendar/setup/setup.inc.php
===================================================================
--- /trunk/calendar/setup/setup.inc.php	(revision 1323)
+++ /trunk/calendar/setup/setup.inc.php	(revision 1728)
@@ -12,5 +12,5 @@
 
 	$setup_info['calendar']['name']    = 'calendar';
-	$setup_info['calendar']['version'] = '2.0.000';
+	$setup_info['calendar']['version'] = '2.1.000';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
@@ -52,4 +52,4 @@
 	$setup_info['calendar']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.0')
+		 'versions' => Array('2.1')
 	);
Index: /trunk/calendar/setup/tables_update.inc.php
===================================================================
--- /trunk/calendar/setup/tables_update.inc.php	(revision 1323)
+++ /trunk/calendar/setup/tables_update.inc.php	(revision 1728)
@@ -63,3 +63,9 @@
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
+	$test[] = '2.0.000';
+	function calendar_upgrade2_0_000()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
 ?>
Index: /trunk/workflow/setup/setup.inc.php
===================================================================
--- /trunk/workflow/setup/setup.inc.php	(revision 1324)
+++ /trunk/workflow/setup/setup.inc.php	(revision 1728)
@@ -13,5 +13,5 @@
 	$setup_info['workflow']['name']			= 'workflow';
 	$setup_info['workflow']['title']		= 'Workflow management';
-	$setup_info['workflow']['version']		= '2.0.000';
+	$setup_info['workflow']['version']		= '2.1.000';
 	$setup_info['workflow']['app_order']	= 10;
 	$setup_info['workflow']['enable']		= 1;
@@ -59,9 +59,9 @@
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('1.0.0','1.0.1','1.2', '2.0')
+		'versions' => Array('1.0.0','1.0.1','1.2', '2.1')
 	);
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'preferences',
-		'versions' => Array('1.0.0', '0.9.13.002', '2.0')
+		'versions' => Array('1.0.0', '0.9.13.002', '2.1')
 	);
 ?>
Index: /trunk/workflow/setup/tables_update.inc.php
===================================================================
--- /trunk/workflow/setup/tables_update.inc.php	(revision 1328)
+++ /trunk/workflow/setup/tables_update.inc.php	(revision 1728)
@@ -1197,3 +1197,10 @@
 		return $GLOBALS['setup_info']['workflow']['currentver'];
 	}
+	$test[] = '2.0.000';
+	function workflow_upgrade2_0_000()
+	{
+		#updating the current version
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['workflow']['currentver'];
+	}
 ?>
Index: /trunk/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 1323)
+++ /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 1728)
@@ -93,3 +93,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}		
+	$test[] = '2.0.000';
+	function expressoMail1_2_upgrade2_0_000() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.1.000';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
 ?>
Index: /trunk/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/setup.inc.php	(revision 1402)
+++ /trunk/expressoMail1_2/setup/setup.inc.php	(revision 1728)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.0.000';
+	$setup_info['expressoMail1_2']['version']   	= '2.1.000';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';
@@ -37,5 +37,5 @@
 	$setup_info['expressoMail1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0')
+		'versions' => Array('2.1')
 	);
 ?>